跳到正文

开发者

从您自己的服务器运行所有检测器

TalismanLeads API 能做网站上能做的事:发送列表、查看价格、下单并获取结果。您使用同一个余额付款,价格也相同。

使用流程

  1. 创建 API 密钥

    在您的账户中创建一个 API 密钥。它只显示一次,请妥善保存。

  2. 估价

    将列表发送到 POST /estimates,查看价格以及列表存在的任何问题。此步骤不会扣费。

  3. 下单

    将同一份列表连同 Idempotency-Key 发送到 POST /orders。无论发送多少次,该订单只扣费一次。

  4. 获取结果

    查询 GET /orders/{id} 直到订单完成,然后从 GET /orders/{id}/results 获取文件。

快速开始

请将示例中的密钥替换为您自己的 API 密钥。基础地址是 https://api.talismanleads.io/v1,请求和响应均为 JSON。

1. 查看费用

curl -X POST "https://api.talismanleads.io/v1/estimates" \
  -H "Authorization: Bearer tl_live_your_key_here" \
  -H "Content-Type: application/json" \
  -d '{"checker":"whatsapp_status_detection","entries":["+14155550142","+12125550187"]}'

2. 下单

curl -X POST "https://api.talismanleads.io/v1/orders" \
  -H "Authorization: Bearer tl_live_your_key_here" \
  -H "Idempotency-Key: crm-export-2026-11-05" \
  -H "Content-Type: application/json" \
  -d '{"checker":"whatsapp_status_detection","entries":["+14155550142","+12125550187"]}'

3. 查询状态

curl "https://api.talismanleads.io/v1/orders/ord_8f2c1e7a-3b4d-4c5e-9f60-1a2b3c4d5e6f" \
  -H "Authorization: Bearer tl_live_your_key_here"

4. 获取结果

curl "https://api.talismanleads.io/v1/orders/ord_8f2c1e7a-3b4d-4c5e-9f60-1a2b3c4d5e6f/results" \
  -H "Authorization: Bearer tl_live_your_key_here"

须知

  • 金额始终是以美元为单位的字符串,例如 "18.00"。
  • 每个文件至少按 2,000 条记录计费,API 与网站相同。
  • 不超过 100,000 条且不超过 4 MB 的列表可以直接放在请求中。更大的列表(最多 10,000,000 条或 200 MB)通过 POST /uploads 发送。
  • 查询订单状态的间隔请不少于 30 秒。订单耗时取决于其大小和检测器。
  • 请为 POST /estimates 和 POST /orders 的响应留出最多 5 分钟:读取大型列表需要时间。超时设置过短只会让您白白重新发送一次。

本页内容